#include <dos.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <conio.h>
#include "x_err.hpp"

void fatalError(char *fmt, int err, ...) {
  char buffer[80];
  va_list argptr;
  va_start(argptr, err);
  vsprintf(buffer, fmt, argptr);
  fputs("\nFATAL: ", stderr);
  fputs(buffer, stderr);
  fputc('\n', stderr);
  fputc('\a', stderr);
  va_end(argptr);
  delay(2000);
  exit(err);
}

void warning(char *fmt, ...) {
  char buffer[80];
  va_list argptr;
  va_start(argptr, fmt);
  vsprintf(buffer, fmt, argptr);
  fputs("\nWARNING: ", stderr);
  fputs(buffer, stderr);
  fputc('\n', stderr);
  fputc('\a', stderr);
  va_end(argptr);
}
